Skip to main content

Documentation Index

Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

0.01 credits per call

eth_getStorageAt on HyperEVM: Returns the value of a storage slot for a given address.

Endpoint

https://rpc.goldrushdata.com/v1/hyperevm-mainnet
Authenticate with Authorization: Bearer <YOUR_GOLDRUSH_API_KEY>. See authentication.

Parameters

NameTypeRequiredDescriptionExample
addressDATA, 20 bytesyesContract address."0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
positionQUANTITYyesHex-encoded storage slot index."0x0"
blockTagQUANTITY | TAGyesBlock number (hex) or block tag."latest"

Returns

DATA, 32 bytes: 32-byte hex-encoded value at the given slot.
"0x0000000000000000000000000000000000000000000000000000000000000001"

Examples

curl https://rpc.goldrushdata.com/v1/hyperevm-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "eth_getStorageAt",
    "params": ["0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48", "0x0", "latest"]
  }'

Errors

Standard JSON-RPC errors: -32600 invalid request, -32601 method not found, -32602 invalid params.

Also available on